---
schema_version: "1"
id: a959ed31dda5a850be80407e4848fc9212db04478aa35c2c4767e2673c599fc3
title: Analytics Notifications
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/analytics/api_analytics/guides/reference/notifications/analytics-api-notifications-reference-resource.md
canonical_url: https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/analytics-api-notifications-reference-resource.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a785b7df00e69ae92e2cac3f65c2464cbe65b9a92ba37fb715e93463528c588b
products:
  - Salesforce Reports and Dashboards REST API Developer Guide
  - analytics
---

# Analytics Notifications

Use the Analytics Notifications API to work set up custom analytics notifications. The Analytics Notifications API is available in API version 38.0 and later.

Resources for the Analytics Notifications API are available at `/services/data/<latest API version>/analytics/notifications`. You can query each resource with an `HTTP` method.

<sfdocstbl><table>
<col>
</col>
<col>
</col>
<col>
</col>
<thead>
  <tr>
    <th>
      Resource
    </th>
    <th>
      Supported HTTP Method
    </th>
    <th>
      Description
    </th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>
      <a href="https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/analytics-api-notifications-reference-list.md#analytics-notification-list" title="Return a list of analytics notifications (GET) or create an analytics notification (POST).">Analytics Notification List</a>
      <p>
        <code>/services/data/&lt;span&gt;&lt;latest API version&gt;&lt;/span&gt;/analytics/notifications</code>
      </p>
    </td>
    <td>
      <p>
        <code>GET</code>
      </p>
      <p>
        <code>POST</code>
      </p>
    </td>
    <td>
      <p>
        Returns a list of recent notifications.
      </p>
      <p>
        Create an analytics notification.
      </p>
    </td>
  </tr>
  <tr>
    <td>
      <a href="https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/analytics-api-notifications-reference-notification.md#analytics-notification" title="Get information about (GET), save changes to (PUT) or delete (DELETE) a specific analytics notification.">Analytics Notification</a>
      <p>
        <code>/services/data/&lt;span&gt;&lt;latest API version&gt;&lt;/span&gt;/analytics/notifications/&lt;span&gt;&lt;Id&gt;&lt;/span&gt;</code>
      </p>
    </td>
    <td>
      <p>
        <code>GET</code>
      </p>
      <p>
        <code>PUT</code>
      </p>
      <p>
        <code>DELETE</code>
      </p>
    </td>
    <td>
      <p>
        Returns information about a specific notification.
      </p>
      <p>
        Save changes to the notification as specified in the request body.
      </p>
      <p>
        Delete the notification. Deleted notifications can't be recovered.
      </p>
    </td>
  </tr>
  <tr>
    <td>
      <a href="https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/analytics-api-notifications-reference-notification-limits.md#analytics-notification-limits" title="Check to see how many more analytics notifications you can create.">Analytics Notification Limits</a>
      <p>
        <code>/services/data/&lt;span&gt;&lt;latest API version&gt;&lt;/span&gt;/analytics/notifications/limits</code>
      </p>
    </td>
    <td>
      <code>GET</code>
    </td>
    <td>
      Check to see how many more analytics notifications you can create.
    </td>
  </tr>
</tbody>
</table></sfdocstbl>

